# copyright: 'Huynh Duong Phuong Vi @ 2014-2015'
# suforyou.vn@gmail.com
module S4U
	module S4u_material
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_material"
		TOOL="Material"
		IS_WIN = (Sketchup.version.to_f >=14) ? (Sketchup.platform == :platform_win) : (RUBY_PLATFORM.include?('mswin') || RUBY_PLATFORM.include?('mingw'))
		IS_OSX = (Sketchup.version.to_f >=14) ? (Sketchup.platform == :platform_osx) : (RUBY_PLATFORM.include?('darwin'))
		Strings = LanguageHandler.new( NAME + ".strings")
		ext = SketchupExtension.new(("s4u-" + Strings.GetString(TOOL)),File.join(NAME,(NAME + "_loader")))
		ext.copyright= 'Huynh Duong Phuong Vi @ 2014-2015'
		ext.creator = 'Huynh Duong Phuong Vi (suforyou.vn@gmail.com)'
		ext.version = '1.1.0'
		ext.description = Strings.GetString("Add tools for materials.")
		Sketchup.register_extension ext, true
	 end      
end
